module Lpaisais
  module API
    Configuration = Struct.new(:wsdl, :key, :timeout) do
      def initialize
        self.wsdl = nil
        self.key = nil
        self.timeout = 2
      end
    end

    def self.configure
      @config = Configuration.new
      yield(@config) if block_given?
      @config
    end

    def self.config
      @config || configure
    end
  end
end
